Commit 9d2e4900 authored by Jean-Paul Saman's avatar Jean-Paul Saman

Build and link Familiar interface against libgpewidget for gpe support.

parent 2a0088d2
......@@ -12279,9 +12279,9 @@ fi
# check for cross-compiling
SDL_PREFIX=
# Check whether --with-sdl or --without-sdl was given.
if test "${with_sdl+set}" = set; then
withval="$with_sdl"
# Check whether --with-sdl-prefix or --without-sdl-prefix was given.
if test "${with_sdl_prefix+set}" = set; then
withval="$with_sdl_prefix"
fi;
if test "x$with_sdl_prefix" != "xno" -a "x$with_sdl_prefix" != "x"
......@@ -13887,9 +13887,9 @@ fi
# check for cross-compiling
GTK_PREFIX=
# Check whether --with-gtk or --without-gtk was given.
if test "${with_gtk+set}" = set; then
withval="$with_gtk"
# Check whether --with-gtk-prefix or --without-gtk-prefix was given.
if test "${with_gtk_prefix+set}" = set; then
withval="$with_gtk_prefix"
fi;
if test "x$with_gtk_prefix" != "xno" -a "x$with_gtk_prefix" != "x"
......@@ -14041,12 +14041,11 @@ fi;
if test "x$with_gpe_prefix" != "xno" -a "x$with_gpe_prefix" != "x"
then
gpe_CFLAGS="-I$with_gpe_prefix/include"
gpe_LDFLAGS="-lXi -lgdk_pixbuf -L$with_gpe_prefix/lib"
gpe_LDFLAGS="-lXi -lgdk_pixbuf -L$with_gpe_prefix/lib -lgpewidget"
# now look for gpe/init.h header file
save_CFLAGS=$CFLAGS
save_LDFLAGS=$LDFLAGS
# CFLAGS="${familiar_CFLAGS} ${gpe_CFLAGS}"
CFLAGS="${familiar_CFLAGS} ${gpe_CFLAGS}"
LDFLAGS="${familiar_LDFLAGS} ${gpe_LDFLAGS}"
CPPFLAGS="${save_CPPFLAGS} ${familiar_CFLAGS} ${gpe_CFLAGS}"
ac_cv_gpe_headers=yes
......@@ -14169,69 +14168,9 @@ fi
done
echo "$as_me:$LINENO: checking for gpe_application_init in -lgpewidget" >&5
echo $ECHO_N "checking for gpe_application_init in -lgpewidget... $ECHO_C" >&6
if test "${ac_cv_lib_gpewidget_gpe_application_init+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lgpewidget $LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char gpe_application_init ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
# endif
int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
gpe_application_init ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_gpewidget_gpe_application_init=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
ac_cv_lib_gpewidget_gpe_application_init=no
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_gpewidget_gpe_application_init" >&5
echo "${ECHO_T}$ac_cv_lib_gpewidget_gpe_application_init" >&6
if test $ac_cv_lib_gpewidget_gpe_application_init = yes; then
gpe_LDFLAGS="${gpe_LDFLAGS} -lgpewidget"
else
{ { echo "$as_me:$LINENO: error: Cannot find libgpewidget library..." >&5
echo "$as_me: error: Cannot find libgpewidget library..." >&2;}
{ (exit 1); exit 1; }; }
fi
# AC_CHECK_LIB(gpewidget, gpe_application_init,
# [ gpe_LDFLAGS="${gpe_LDFLAGS} -lgpewidget" ],
# [ AC_MSG_ERROR([Cannot find libgpewidget library...]) ])
CFLAGS=$save_CFLAGS
LDFLAGS=$save_LDFLAG
if test "x${ac_cv_gpe_headers}" = "xyes"
......
......@@ -1185,7 +1185,7 @@ then
fi
# check for cross-compiling
SDL_PREFIX=
AC_ARG_WITH(sdl,
AC_ARG_WITH(sdl-prefix,
[ --with-sdl-prefix=PATH path to libsdl (needed for cross-compiling),
e.g use as:
--with-sdl-prefix=/usr/local/arm/2.95.3/arm-linux/usr)],[],[])
......@@ -1512,7 +1512,7 @@ then
fi
# check for cross-compiling
GTK_PREFIX=
AC_ARG_WITH(gtk,
AC_ARG_WITH(gtk-prefix,
[ --with-gtk-prefix=PATH path to libgtk (needed for cross-compiling),
e.g use as:
--with-gtk-prefix=/usr/local/arm/2.95.3/arm-linux/usr)],[],[])
......@@ -1542,21 +1542,20 @@ then
if test "x$with_gpe_prefix" != "xno" -a "x$with_gpe_prefix" != "x"
then
gpe_CFLAGS="-I$with_gpe_prefix/include"
gpe_LDFLAGS="-lXi -lgdk_pixbuf -L$with_gpe_prefix/lib"
gpe_LDFLAGS="-lXi -lgdk_pixbuf -L$with_gpe_prefix/lib -lgpewidget"
# now look for gpe/init.h header file
save_CFLAGS=$CFLAGS
save_LDFLAGS=$LDFLAGS
# CFLAGS="${familiar_CFLAGS} ${gpe_CFLAGS}"
CFLAGS="${familiar_CFLAGS} ${gpe_CFLAGS}"
LDFLAGS="${familiar_LDFLAGS} ${gpe_LDFLAGS}"
CPPFLAGS="${save_CPPFLAGS} ${familiar_CFLAGS} ${gpe_CFLAGS}"
ac_cv_gpe_headers=yes
AC_CHECK_HEADERS(gpe/init.h, ,
[ ac_cv_gpe_headers=no
AC_MSG_ERROR([Cannot find development headers for libgpewidget...]) ])
AC_CHECK_LIB(gpewidget, gpe_application_init,
[ gpe_LDFLAGS="${gpe_LDFLAGS} -lgpewidget" ],
[ AC_MSG_ERROR([Cannot find libgpewidget library...]) ])
# AC_CHECK_LIB(gpewidget, gpe_application_init,
# [ gpe_LDFLAGS="${gpe_LDFLAGS} -lgpewidget" ],
# [ AC_MSG_ERROR([Cannot find libgpewidget library...]) ])
CFLAGS=$save_CFLAGS
LDFLAGS=$save_LDFLAG
if test "x${ac_cv_gpe_headers}" = "xyes"
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment